> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/services/participant-management/participant-details.md).

# Participant Details

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

In Groups API, there are two ways to obtain details of a participant:

* [via Attendance Code of a participant](#filtering-with-attendance_code)
* [via Email of a participant](#by-email)

Both methods require **SESSION\_ID** and respective parameter when making requests.

### By ATTENDANCE\_CODE

{% hint style="warning" %}
You need the **SESSION\_ID** of the session and the **ATTENDANCE\_CODE**, which is the participant ID of the user, to get the participant details for a session.
{% endhint %}

**Example Payload:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<ATTENDANCE_CODE>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Get the attandee by ATTENDANCE_CODE
attendee = client.attendees.get_by_attendance_code(
    session_id="<SESSION_ID>",
    attendance_code="<ATTENDANCE_CODE>"
)
print(attendee)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Get Attendee
const attendee = client.attendees.getAttendee(
    "<SESSION_ID>", "<ATTENDANCE_CODE>" 
)
console.log(attendee)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

### By EMAIL

{% hint style="warning" %}
You need the **SESSION\_ID** of the session and the **EMAIL,** which is the email of the user, to update the participant in a session.
{% endhint %}

**Example Payload:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<EMAIL>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Get the attandee by EMAIL
attendee = client.attendees.get_by_email(
    session_id="<SESSION_ID>",
    email="<EMAIL>"
)
print(attendee)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Get Attendee
const attendee = client.attendees.getAttendee(
    "<SESSION_ID>", "<EMAIL>" 
)
console.log(attendee)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}
